Generation Framework

## org.eclipse.gmf.tooldef
Class ActionKind

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.tooldef.ActionKind

All Implemented Interfaces:
  Enumerator

public final class ActionKind
extends AbstractEnumerator

A representation of the literals of the enumeration 'Action Kind', and utility methods for working with them.

See Also:
  `GMFToolPackage.getActionKind()`
** Generated **
Model:

Field Summary
`static int` `CREATE` The 'CREATE' literal value
`static ActionKind` `CREATE_LITERAL` The 'CREATE' literal object
`static int` `CUSTOM` The 'CUSTOM' literal value
`static ActionKind` `CUSTOM_LITERAL` The 'CUSTOM' literal object
`static int` `MODIFY` The 'MODIFY' literal value
`static ActionKind` `MODIFY_LITERAL` The 'MODIFY' literal object
`static int` `PROCESS` The 'PROCESS' literal value
`static ActionKind` `PROCESS_LITERAL` The 'PROCESS' literal object
`static int` `PROPCHANGE` The 'PROPCHANGE' literal value
`static ActionKind` `PROPCHANGE_LITERAL` The 'PROPCHANGE' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Action Kind' enumerators

Method Summary
`static ActionKind` `get(int value)` Returns the 'Action Kind' literal with the specified integer value
`static ActionKind` `get(java.lang.String literal)` Returns the 'Action Kind' literal with the specified literal value
`static ActionKind` `getByName(java.lang.String name)` Returns the 'Action Kind' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATE

    public static final int CREATE

  The 'CREATE' literal value.

  If the meaning of 'CREATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ActionKind.CREATE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### PROPCHANGE

    public static final int PROPCHANGE

  The 'PROPCHANGE' literal value.

  If the meaning of 'PROPCHANGE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ActionKind.PROPCHANGE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### MODIFY

    public static final int MODIFY

  The 'MODIFY' literal value.

  If the meaning of 'MODIFY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ActionKind.MODIFY_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### PROCESS

    public static final int PROCESS

  The 'PROCESS' literal value.

  If the meaning of 'PROCESS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ActionKind.PROCESS_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### CUSTOM

    public static final int CUSTOM

  The 'CUSTOM' literal value.

  If the meaning of 'CUSTOM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ActionKind.CUSTOM_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### CREATE_LITERAL

    public static final ActionKind CREATE_LITERAL

  The 'CREATE' literal object.

  See Also:
    `ActionKind.CREATE`
  ** Generated **
  Ordered:

### PROPCHANGE_LITERAL

    public static final ActionKind PROPCHANGE_LITERAL

  The 'PROPCHANGE' literal object.

  See Also:
    `ActionKind.PROPCHANGE`
  ** Generated **
  Ordered:

### MODIFY_LITERAL

    public static final ActionKind MODIFY_LITERAL

  The 'MODIFY' literal object.

  See Also:
    `ActionKind.MODIFY`
  ** Generated **
  Ordered:

### PROCESS_LITERAL

    public static final ActionKind PROCESS_LITERAL

  The 'PROCESS' literal object.

  See Also:
    `ActionKind.PROCESS`
  ** Generated **
  Ordered:

### CUSTOM_LITERAL

    public static final ActionKind CUSTOM_LITERAL

  The 'CUSTOM' literal object.

  See Also:
    `ActionKind.CUSTOM`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Action Kind' enumerators.

  ** Generated **

Method Detail

### get

    public static ActionKind get(java.lang.String literal)

  Returns the 'Action Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static ActionKind getByName(java.lang.String name)

  Returns the 'Action Kind' literal with the specified name.

  ** Generated **

### get

    public static ActionKind get(int value)

  Returns the 'Action Kind' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.